# -*- coding: UTF-8 -*-
# Copyright 2003 - 2008: Julien Bourdaillet (julien.bourdaillet@lip6.fr), Jean-Gabriel Ganascia (jean-gabriel.ganascia@lip6.fr)
# This file is part of MEDITE.
#
#    MEDITE is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    MEDITE is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Foobar; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#----------------------------------------------------------------------------
# Nom:          oeuvre.py
# Objet:        Classe qui regroupe les donnees d'une oeuvre
#----------------------------------------------------------------------------

class Oeuvre:
    
    # Constucteur de la classe
    def __init__(self, pTitre, pEdition, pPublication, pNomDG):
        self.__titre = pTitre
        self.__edition = pEdition
        self.__publication = pPublication
        self.__nomDG = pNomDG
        # print("1. Module: Donnees.oeuvre, Classe: Oeuvre, Methode: __init__, Ligne: 31 ---> self.__titre=", self.__titre, ", self.__edition=", self.__edition, ", self.__publication=", self.__publication, ", self.__nomDG=", self.__nomDG, " ")

    # Methodes d'acces aux attributs prives
    def getTitre(self):
        # print("2. Module: Donnees.oeuvre, Classe: Oeuvre, Methode: getTitre, Ligne: 35---> self.__titre=", self.__titre, " ")  
        return self.__titre

    def getEdition(self):
        # print("3. Module: Donnees.oeuvre, Classe: Oeuvre, Methode: getEdition, Ligne: 39---> self.__edition=", self.__edition, " ")  
        return self.__edition

    def getPublication(self):
        # print("4. Module: Donnees.oeuvre, Classe: Oeuvre, Methode: getPublication, Ligne: 43---> self.__publication=", self.__publication, " ")  
        return self.__publication

    def getNomDG(self):
        # print("5. Module: Donnees.oeuvre, Classe: Oeuvre, Methode: getNomDG, Ligne: 47---> self.__nomDG=", self.__nomDG, " ") 
        return self.__nomDG

#    def getArbre(self):
#	return self.__arbre
#	
#    def addArbre(self, pArbre):
#	self.__arbre = pArbre

    # Methode de mise a jour d'une oeuvre
    # Les mises a jour ne concernent que l'edition et la publication
    def modifyOeuvre(self, pEdition, pPublication):
        self.__edition=pEdition
        self.__publication=pPublication
        # print("6. Module: Donnees.oeuvre, Classe: Oeuvre, Methode: modifyOeuvre, Ligne: 61---> self.__edition=", self.__edition, ", self.__publication=", self.__publication, " ") 

