import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="medite42",
    version="4.2",
    author="Covanov Yeugene",
    author_email="yeugene.covanov@upmc.fr",
    description="medite package",
    long_description=long_description,
    long_description_content_type="text/markdown",
    # url="https://github.com/pypa/medite_distribut",
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3.7", 
        "License :: Free for non-commercial use", 
        "Operating System :: Microsoft :: Windows :: Windows 10", 
    ],
    python_requires='>=3.7',
	entry_points={
		'console_scripts': [
		'mediteconsole=medite42.__init__.py:main'
		], 
		'gui_scripts': [
		'meditegui=medite42.__init__.py:main',
		]
	}
)