# -*- coding: UTF-8 -*-
# Copyright 2003 - 2008: Julien Bourdaillet (julien.bourdaillet@lip6.fr), Jean-Gabriel Ganascia (jean-gabriel.ganascia@lip6.fr)
# This file is part of MEDITE.
#
#    MEDITE is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    MEDITE is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Foobar; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#----------------------------------------------------------------------------
# Nom:          commentaire.py
# Objet:        Classe qui regroupe les donnees d'un commentaire
#----------------------------------------------------------------------------

class Commentaire:
    # Constructeur de la classe
    def __init__(self, pCommentaire):
        self.__commentaire = pCommentaire
        # print("1. Module: Donnees.commentaire, Class: Commentaire, Methode: __init__, Ligne 27, self.__commentaire=", self.__commentaire, " ") 

    # Methode d'acces a l'attribut
    def getCommentaire(self):
        # print("2. Module: Donnees.commentaire, Class: Commentaire, Methode: getCommentaire, Ligne 31, self.__commentaire=", self.__commentaire, " ")
        return self.__commentaire

    # Methodes de modification de l'attribut
    # Methode qui remplace le commentaire
    def setCommentaire(self, pCommentaire):
        self.__commentaire = pCommentaire
        # print("3. Module: Donnees.commentaire, Class: Commentaire, Methode: setCommentaire, Ligne 38, self.__commentaire=", self.__commentaire, " ")

    # Methode qui ajoute du texte au commentaire
    def addCommentaire(self, pCommentaire):
        self.__commentaire += ' ' + pCommentaire
        # print("4. Module: Donnees.commentaire, Class: Commentaire, Methode: addCommentaire, Ligne 43, self.__commentaire=", self.__commentaire, " ")
