# -*- coding: UTF-8 -*-
# Copyright 2003 - 2008: Julien Bourdaillet (julien.bourdaillet@lip6.fr), Jean-Gabriel Ganascia (jean-gabriel.ganascia@lip6.fr)
# This file is part of MEDITE.
#
#    MEDITE is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    MEDITE is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Foobar; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#----------------------------------------------------------------------------
# Nom:          informationsChargees.py
# Objet:        Classe qui regoupe les informations necessaires pour afficher
#               les transformations et le commentaire d'un couple d'�tats
#----------------------------------------------------------------------------

class InformationsChargees: 
    # Constructeur de la classe
    def __init__(self,pParametres, pResultat, pCommentaire):
        # attribut du type parametres, contient les parametres utilises a la comparaison
        self.__parametres = pParametres
        # attribut du type Resultat, contient les listes des transformations du fichier xml
        self.__resultat = pResultat
        # chaine de caractere contenant le commentaire du fichier xml
        self.__commentaire = pCommentaire
        # print("1. Module: Donnees.informationsChargees, Classe: InformationsChargees, Methode: __init__, Ligne: 33 ---> \npParametres.getp1()=", pParametres.getp1(), ", pParametres.getp2()=", pParametres.getp2(), ", pParametres.getp3()=", pParametres.getp3(), ", pParametres.getp4()=", pParametres.getp4(), ", pParametres.getp5()=", pParametres.getp5(), ", pParametres.getp6()=", pParametres.getp6(), ", pParametres.getp7()=", pParametres.getp7(), " ")
        # print("2. Module: Donnees.informationsChargees, Classe: InformationsChargees, Methode: __init__, Ligne: 34 ---> pCommentaire=", str(pCommentaire), " ")
        

    # Methodes d'acces aux attributs privees
    def getParametres(self):
        # print("3. Module: Donnees.informationsChargees, Classe: InformationsChargees, Methode: getParametres, Ligne: 39 ---> \nself.__parametres.getp1()=", self.__parametres.getp1(), ", self.__parametres.getp2()=", self.__parametres.getp2(), ", self.__parametres.getp3()=", self.__parametres.getp3(), ", self.__parametres.getp4()=", self.__parametres.getp4(), ", self.__parametres.getp5()=", self.__parametres.getp5(), ", pParametres.getp6()=", self.__parametres.getp6(), ", self.__parametres.getp7()=", self.__parametres.getp7(), " ")        
        return self.__parametres
    
    def getResultat(self):
        # print("3. Module: Donnees.informationsChargees, Classe: InformationsChargees, Methode: getResultat, Ligne: 43 ---> \nself.__resultat=", self.__resultat, " ")
        # print("4. Module: Donnees.informationsChargees, Classe: InformationsChargees, Methode: getResultat, Ligne: 44 ---> \nself.__resultat._li=", self.__resultat._li, ", self.__resultat._ls=", self.__resultat._ls, ", self.__resultat._ld=", self.__resultat._ld, ", self.__resultat._lr=", self.__resultat._lr, ", self.__resultat._lgTexteS=", self.__resultat._lgTexteS, ", self.__resultat._textes=", self.__resultat._textes, ", self.__resultat._blocsCom=", self.__resultat._blocsCom, ", self.__resultat._pairesBlocsDepl=", self.__resultat._pairesBlocsDepl, ", self.__resultat._nonDef=", self.__resultat._nonDef, " ")
        return self.__resultat

    def getCommentaire(self):
        # print("5. Module: Donnees.informationsChargees, Classe: InformationsChargees, Methode: getCommentaire, Ligne: 48 ---> \nself.__commentaire=", self.__commentaire, " ")
        return self.__commentaire

