# -*- coding: UTF-8 -*-
# Copyright 20003 - 2008: Julien Bourdaillet (julien.bourdaillet@lip6.fr), Jean-Gabriel Ganascia (jean-gabriel.ganascia@lip6.fr)
# This file is part of MEDITE.
#
#    MEDITE is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    MEDITE is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Foobar; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#----------------------------------------------------------------------------
# Nom:          constantesGUI.py
# Objet:        Fichier qui regroupe les differentes constantes utiles dans
#               l'implementation de l'interface graphique
#----------------------------------------------------------------------------

#####################################################################
#   Constantes REPIMG qui est le chemin d'accs au rpetoire images #
#####################################################################
import os,constantes

REPIMG=os.path.join(constantes.REPMEDITE,'images')

#####################################
#   Constantes du MENU Principal    #
#                                   #
#####################################
ID_DOSSIER = 110 
ID_NOUVEAU_DOSSIER = 111
ID_ADD_AUTEUR=112
ID_ADD_OEUVRE=113
ID_SUPPRIMER_DOSSIER = 114 
ID_SUPP_AUTEUR=115
ID_SUPP_OEUVRE=116
ID_QUITTER=117

ID_GENETIQUE=120
ID_CHARGER_DG=121
ID_CREER_GENE=122
ID_CREER_VERSION=123
ID_CREER_ETAT=124
ID_SUPPRIMER_GENE=125
ID_SUPP_VERSION=126
ID_SUPP_ETAT=127
ID_IMPORTER_TEXTES=128

ID_INFORMATIONS=130
ID_INFOS = 131
ID_INFOS_DG = 132
ID_INFOS_CPLE = 133
ID_ENREGISTRER=134
ID_ADD_TRANSFOS=135
ID_ADD_COMMENT=136
ID_ADD_TRANSFOS_COMMENT=137
ID_ADD_ALL_TRANSFOS=138
ID_SUPPRIMER_INFOS = 139
ID_SUPP_TRANSFOS_COMMENT=140
ID_SUPP_COMMENT=141
ID_SUPP_ALL_TRANSFOS=142
ID_CHARGER_INFOS=143
ID_LOAD_ALL_TRANSFOS_COMMENT=144
ID_LOAD_INFOS=145

ID_MEDITE=150
ID_OUVRIR=151
ID_SOURCE=152
ID_CIBLE=153
ID_EXECUTER=154
ID_EXECUTERALL=155
ID_LAUNCH_STAT=156
ID_OPERATION_MAN = 157

ID_APROPOS = 160
ID_AIDE = 161

ID_NEWCOMP=170
ID_CLOSECOMP = 171
ID_CLOSEALLCOMP = 172
ID_DELCOMP=173
ID_DELALLCOMP=174

ID_NAVMENU = 180

##################################
#   Constantes des Formulaires   #
#                                #
##################################
ID_ANNULER=10
ID_OK=11
ID_SELECT_AUTEUR=12
ID_SELECT_OEUVRE=13
ID_SELECT_VERSION=14
ID_PARCOURIR=15
ID_SELECT_ETAT=16
ID_REMPLACER=17
ID_AJOUTER=18
ID_SELECT_VERSION_S=19
ID_SELECT_ETAT_S=20
ID_SELECT_VERSION_C=21
ID_SELECT_ETAT_C=22
ID_SELECT_REP = 23
ID_SELECT_PARAM = 24
ID_SELECT_VERSIONV=25
##################################
#   Constantes du Main Panel     #
#                                #
##################################
ID_WINDOW_TOP    = 5100
ID_WINDOW_LEFT  = 5101
ID_WINDOW_RIGHT  = 5102
ID_WINDOW_BOTTOM = 5103

#################################
#  ID des boutons de la legende #
#################################
ID_INSERTION = 1001
ID_SUPPRESSION = 1002
ID_REMPLACEMENT = 1003
ID_SOULIGNE = 1004
ID_GRAS = 1005
ID_ITALIQUE = 1006
ID_VALIDATION_COULEUR = 1111
ID_COULEUR_DEFAUT = 1112
ID_NONDEFINIS = 1113

#################################
#  ID pour le panel Parametres  #
#################################
ID_SLIDER_P1 = 1101
ID_SLIDER_P2 = 1102
ID_SLIDER_P3 = 1103

###########################################
#  ID pour les trabsformations manuelles  #
###########################################


ID_INIT = 600
ID_UNDO = 601
ID_REDO = 602
ID_INSERTION_MAN = 603
ID_SUPPRESSION_MAN = 604
ID_REMPLACEMENT_MAN = 605
ID_REMPLACEMENT_MAN_SOURCE = 606
ID_REMPLACEMENT_MAN_CIBLE = 607
ID_DEPLACEMENT_MAN = 608
ID_DEPLACEMENT_MAN_SOURCE = 609
ID_DEPLACEMENT_MAN_CIBLE = 610
ID_BLOC_COMMUN = 611
ID_BLOC_COMMUN_SOURCE = 612
ID_BLOC_COMMUN_CIBLE = 613
ID_NON_DEF = 614


ID_SUPP_INS = 700
ID_SUPP_SUPP = 701
ID_SUPP_DEP = 702
ID_SUPP_REMP = 703
ID_SUPP_BLOC = 704
ID_SUPP_ALL = 705
ID_SUPP_TRANSFO = 710
